package com.rjconsultores.ventaboletos.relatorios.utilitarios.pacote;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.enums.SituacaoVendaPacote;

public class PacoteVoucher {

	private String nombempresa;
	private Date datavenda;
	private Date datapacote;
	private String nomePacote;
	private String descPacote;
	private BigDecimal subTotal;
	private BigDecimal desconto;
	private BigDecimal total;
	private String nombusuario;
	private String numoperacion;
	private String descFormapago1;
	private String descFormapago2;
	private String descFormapago3;
	private BigDecimal valorFormapago1;
	private BigDecimal valorFormapago2;
	private BigDecimal valorFormapago3;
	private SituacaoVendaPacote situacaoVendaPacote;
	
	/* Dados endereço apanhe */
	private String descLocalEnderecoApanhe;
	private String cepEnderecoApanhe;
	private String enderecoEnderecoApanhe;
	private String cidadeEnderecoApanhe;
	private String numeroEnderecoApanhe;
	private String bairroEnderecoApanhe;
	private String complementoEnderecoApanhe;
	private String referenciaEnderecoApanhe;
	private String desctelefoneEnderecoApanhe;
	
	/* Dados Cliente Pacote */
	private String razaoSocialClientePacote; 
	private String cpfCnpjClientePacote;  
	private String descTipoPessoaClientePacote;  
	private String descemailClientePacote;  
	private String desctelefoneClientePacote;  
	private String descfaxClientePacote;  
	private String cepClientePacote;
	private String enderecoClientePacote;
	private String numeroClientePacote;
	private String complementoClientePacote;
	private String paisClientePacote;
	private String estadoClientePacote;
	private String cidadeClientePacote;
	private String bairroClientePacote;
	
	private List<PacoteTarifaVoucher> pacoteTarifasVouchers;
	private List<PacoteItemAdicionalVoucher> itemAdicionalVouchers;

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public Date getDatavenda() {
		return datavenda;
	}

	public void setDatavenda(Date datavenda) {
		this.datavenda = datavenda;
	}

	public Date getDatapacote() {
		return datapacote;
	}

	public void setDatapacote(Date datapacote) {
		this.datapacote = datapacote;
	}

	public String getNomePacote() {
		return nomePacote;
	}

	public void setNomePacote(String nomePacote) {
		this.nomePacote = nomePacote;
	}

	public String getDescPacote() {
		return descPacote;
	}

	public void setDescPacote(String descPacote) {
		this.descPacote = descPacote;
	}

	public BigDecimal getSubTotal() {
		return subTotal;
	}

	public void setSubTotal(BigDecimal subTotal) {
		this.subTotal = subTotal;
	}

	public BigDecimal getDesconto() {
		return desconto;
	}

	public void setDesconto(BigDecimal desconto) {
		this.desconto = desconto;
	}

	public BigDecimal getTotal() {
		return total;
	}

	public void setTotal(BigDecimal total) {
		this.total = total;
	}

	public String getNombusuario() {
		return nombusuario;
	}

	public void setNombusuario(String nombusuario) {
		this.nombusuario = nombusuario;
	}

	public List<PacoteTarifaVoucher> getPacoteTarifasVouchers() {
		return pacoteTarifasVouchers;
	}

	public void setPacoteTarifasVouchers(List<PacoteTarifaVoucher> pacoteTarifasVouchers) {
		this.pacoteTarifasVouchers = pacoteTarifasVouchers;
	}

	public List<PacoteItemAdicionalVoucher> getItemAdicionalVouchers() {
		return itemAdicionalVouchers;
	}

	public void setItemAdicionalVouchers(List<PacoteItemAdicionalVoucher> itemAdicionalVouchers) {
		this.itemAdicionalVouchers = itemAdicionalVouchers;
	}

	public String getNumoperacion() {
		return numoperacion;
	}

	public void setNumoperacion(String numoperacion) {
		this.numoperacion = numoperacion;
	}

	public String getDescLocalEnderecoApanhe() {
		return descLocalEnderecoApanhe;
	}

	public void setDescLocalEnderecoApanhe(String descLocalEnderecoApanhe) {
		this.descLocalEnderecoApanhe = descLocalEnderecoApanhe;
	}

	public String getCepEnderecoApanhe() {
		return cepEnderecoApanhe;
	}

	public void setCepEnderecoApanhe(String cepEnderecoApanhe) {
		this.cepEnderecoApanhe = cepEnderecoApanhe;
	}

	public String getEnderecoEnderecoApanhe() {
		return enderecoEnderecoApanhe;
	}

	public void setEnderecoEnderecoApanhe(String enderecoEnderecoApanhe) {
		this.enderecoEnderecoApanhe = enderecoEnderecoApanhe;
	}

	public String getCidadeEnderecoApanhe() {
		return cidadeEnderecoApanhe;
	}

	public void setCidadeEnderecoApanhe(String cidadeEnderecoApanhe) {
		this.cidadeEnderecoApanhe = cidadeEnderecoApanhe;
	}

	public String getNumeroEnderecoApanhe() {
		return numeroEnderecoApanhe;
	}

	public void setNumeroEnderecoApanhe(String numeroEnderecoApanhe) {
		this.numeroEnderecoApanhe = numeroEnderecoApanhe;
	}

	public String getBairroEnderecoApanhe() {
		return bairroEnderecoApanhe;
	}

	public void setBairroEnderecoApanhe(String bairroEnderecoApanhe) {
		this.bairroEnderecoApanhe = bairroEnderecoApanhe;
	}

	public String getComplementoEnderecoApanhe() {
		return complementoEnderecoApanhe;
	}

	public void setComplementoEnderecoApanhe(String complementoEnderecoApanhe) {
		this.complementoEnderecoApanhe = complementoEnderecoApanhe;
	}

	public String getReferenciaEnderecoApanhe() {
		return referenciaEnderecoApanhe;
	}

	public void setReferenciaEnderecoApanhe(String referenciaEnderecoApanhe) {
		this.referenciaEnderecoApanhe = referenciaEnderecoApanhe;
	}

	public String getRazaoSocialClientePacote() {
		return razaoSocialClientePacote;
	}

	public void setRazaoSocialClientePacote(String razaoSocialClientePacote) {
		this.razaoSocialClientePacote = razaoSocialClientePacote;
	}

	public String getCpfCnpjClientePacote() {
		return cpfCnpjClientePacote;
	}

	public void setCpfCnpjClientePacote(String cpfCnpjClientePacote) {
		this.cpfCnpjClientePacote = cpfCnpjClientePacote;
	}

	public String getDescTipoPessoaClientePacote() {
		return descTipoPessoaClientePacote;
	}

	public void setDescTipoPessoaClientePacote(String descTipoPessoaClientePacote) {
		this.descTipoPessoaClientePacote = descTipoPessoaClientePacote;
	}

	public String getDescemailClientePacote() {
		return descemailClientePacote;
	}

	public void setDescemailClientePacote(String descemailClientePacote) {
		this.descemailClientePacote = descemailClientePacote;
	}

	public String getDesctelefoneClientePacote() {
		return desctelefoneClientePacote;
	}

	public void setDesctelefoneClientePacote(String desctelefoneClientePacote) {
		this.desctelefoneClientePacote = desctelefoneClientePacote;
	}

	public String getDescfaxClientePacote() {
		return descfaxClientePacote;
	}

	public void setDescfaxClientePacote(String descfaxClientePacote) {
		this.descfaxClientePacote = descfaxClientePacote;
	}

	public String getCepClientePacote() {
		return cepClientePacote;
	}

	public void setCepClientePacote(String cepClientePacote) {
		this.cepClientePacote = cepClientePacote;
	}

	public String getEnderecoClientePacote() {
		return enderecoClientePacote;
	}

	public void setEnderecoClientePacote(String enderecoClientePacote) {
		this.enderecoClientePacote = enderecoClientePacote;
	}

	public String getNumeroClientePacote() {
		return numeroClientePacote;
	}

	public void setNumeroClientePacote(String numeroClientePacote) {
		this.numeroClientePacote = numeroClientePacote;
	}

	public String getComplementoClientePacote() {
		return complementoClientePacote;
	}

	public void setComplementoClientePacote(String complementoClientePacote) {
		this.complementoClientePacote = complementoClientePacote;
	}

	public String getPaisClientePacote() {
		return paisClientePacote;
	}

	public void setPaisClientePacote(String paisClientePacote) {
		this.paisClientePacote = paisClientePacote;
	}

	public String getEstadoClientePacote() {
		return estadoClientePacote;
	}

	public void setEstadoClientePacote(String estadoClientePacote) {
		this.estadoClientePacote = estadoClientePacote;
	}

	public String getCidadeClientePacote() {
		return cidadeClientePacote;
	}

	public void setCidadeClientePacote(String cidadeClientePacote) {
		this.cidadeClientePacote = cidadeClientePacote;
	}

	public String getBairroClientePacote() {
		return bairroClientePacote;
	}

	public void setBairroClientePacote(String bairroClientePacote) {
		this.bairroClientePacote = bairroClientePacote;
	}

	public String getDescFormapago1() {
		return descFormapago1;
	}

	public void setDescFormapago1(String descFormapago1) {
		this.descFormapago1 = descFormapago1;
	}

	public String getDescFormapago2() {
		return descFormapago2;
	}

	public void setDescFormapago2(String descFormapago2) {
		this.descFormapago2 = descFormapago2;
	}

	public String getDescFormapago3() {
		return descFormapago3;
	}

	public void setDescFormapago3(String descFormapago3) {
		this.descFormapago3 = descFormapago3;
	}

	public BigDecimal getValorFormapago1() {
		return valorFormapago1;
	}

	public void setValorFormapago1(BigDecimal valorFormapago1) {
		this.valorFormapago1 = valorFormapago1;
	}

	public BigDecimal getValorFormapago2() {
		return valorFormapago2;
	}

	public void setValorFormapago2(BigDecimal valorFormapago2) {
		this.valorFormapago2 = valorFormapago2;
	}

	public BigDecimal getValorFormapago3() {
		return valorFormapago3;
	}

	public void setValorFormapago3(BigDecimal valorFormapago3) {
		this.valorFormapago3 = valorFormapago3;
	}

	public String getDesctelefoneEnderecoApanhe() {
		return desctelefoneEnderecoApanhe;
	}

	public void setDesctelefoneEnderecoApanhe(String desctelefoneEnderecoApanhe) {
		this.desctelefoneEnderecoApanhe = desctelefoneEnderecoApanhe;
	}

	public SituacaoVendaPacote getSituacaoVendaPacote() {
		return situacaoVendaPacote;
	}

	public void setSituacaoVendaPacote(SituacaoVendaPacote situacaoVendaPacote) {
		this.situacaoVendaPacote = situacaoVendaPacote;
	}

}
